public
Created

bundle install は解決したけど rails server できない件

  • Download Gist
gistfile1.md
Markdown
$ r s
/Users/imaz/.rbenv/versions/1.9.3-p194/lib/ruby/1.9.1/rubygems/dependency.rb:247:in `to_specs': Could not find rails (>= 0) amongst [activesupport-3.2.8, bigdecimal-1.1.0, bundler-1.2.1, faraday-0.8.4, github_api-0.7.0, github_downloads-0.1.3, hashie-1.2.0, httpauth-0.2.0, i18n-0.6.1, io-console-0.3, json-1.7.5, json-1.5.4, jwt-0.1.5, mime-types-1.19, minitest-4.2.0, minitest-2.5.1, multi_json-1.3.6, multipart-post-1.1.5, nokogiri-1.5.5, oauth2-0.8.0, rack-1.4.1, rake-0.9.2.2, rbenv-rehash-0.2, rdoc-3.12, rdoc-3.9.4, rest-client-1.6.7] (Gem::LoadError)
    from /Users/imaz/.rbenv/versions/1.9.3-p194/lib/ruby/1.9.1/rubygems/dependency.rb:256:in `to_spec'
    from /Users/imaz/.rbenv/versions/1.9.3-p194/lib/ruby/1.9.1/rubygems.rb:1231:in `gem'
    from /usr/bin/rails:18:in `<main>'

★さっきのと同じかな?と思ったので

$ gem install rails
$ rbenv rehash
$ rails server
/Users/imaz/.rbenv/versions/1.9.3-p194/lib/ruby/1.9.1/rubygems.rb:317:in `bin_path': can't find gem rails ([">= 0"]) with executable rails (Gem::GemNotFoundException)
    from /usr/bin/rails:19:in `<main>'

え゛っ

何度か同じ事を繰り返したらできるようになっていた…原因はよくわからない…

Please sign in to comment on this gist.

Something went wrong with that request. Please try again.